=head1 NAME

Gtk2::MenuShell

=head1 HIERARCHY

  Glib::Object
  +----Glib::Object::_Unregistered::GInitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::MenuShell

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface


=head1 METHODS

=head2 $menu_shell-E<gt>B<activate_item> ($menu_item, $force_deactivate)

=over

=over

=item * $menu_item (Gtk2::Widget) 

=item * $force_deactivate (boolean) 

=back

=back

=head2 $menu_shell-E<gt>B<append> ($child)

=over

=over

=item * $child (Gtk2::Widget) 

=back

=back

=head2 $menu_shell-E<gt>B<cancel> 

=over

=back

=head2 $menu_shell-E<gt>B<deactivate> 

=over

=back

=head2 $menu_shell-E<gt>B<deselect> 

=over

=back

=head2 $menu_shell-E<gt>B<insert> ($child, $position)

=over

=over

=item * $child (Gtk2::Widget) 

=item * $position (integer) 

=back

=back

=head2 $menu_shell-E<gt>B<prepend> ($child)

=over

=over

=item * $child (Gtk2::Widget) 

=back

=back

=head2 $menu_shell-E<gt>B<select_first> ($search_sensitive)

=over

=over

=item * $search_sensitive (boolean) 

=back

=back

=head2 $menu_shell-E<gt>B<select_item> ($menu_item)

=over

=over

=item * $menu_item (Gtk2::Widget) 

=back

=back

=head2 boolean = $menu_shell-E<gt>B<get_take_focus> 

=over

=back

=head2 $menu_shell-E<gt>B<set_take_focus> ($take_focus)

=over

=over

=item * $take_focus (boolean) 

=back

=back


=head1 PROPERTIES

=over

=item 'take-focus' (boolean : readable / writable / private)

A boolean that determines whether the menu grabs the keyboard focus

=back


=head1 SIGNALS

=over

=item B<deactivate> (Gtk2::MenuShell)

=item B<selection-done> (Gtk2::MenuShell)

=item B<move-current> (Gtk2::MenuShell, Gtk2::MenuDirectionType)

=item B<activate-current> (Gtk2::MenuShell, boolean)

=item B<cancel> (Gtk2::MenuShell)

=item B<cycle-focus> (Gtk2::MenuShell, Gtk2::DirectionType)

=back


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::DirectionType

=over

=item * 'tab-forward' / 'GTK_DIR_TAB_FORWARD'

=item * 'tab-backward' / 'GTK_DIR_TAB_BACKWARD'

=item * 'up' / 'GTK_DIR_UP'

=item * 'down' / 'GTK_DIR_DOWN'

=item * 'left' / 'GTK_DIR_LEFT'

=item * 'right' / 'GTK_DIR_RIGHT'

=back


=head2 enum Gtk2::MenuDirectionType

=over

=item * 'parent' / 'GTK_MENU_DIR_PARENT'

=item * 'child' / 'GTK_MENU_DIR_CHILD'

=item * 'next' / 'GTK_MENU_DIR_NEXT'

=item * 'prev' / 'GTK_MENU_DIR_PREV'

=back



=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::Object::_Unregistered::GInitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>

=head1 COPYRIGHT

Copyright (C) 2003-2005 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

